<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: cpp.ast.VariableDeclaration Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classcpp_1_1ast_1_1VariableDeclaration.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">cpp.ast.VariableDeclaration Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for cpp.ast.VariableDeclaration:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classcpp_1_1ast_1_1VariableDeclaration__inherit__graph.svg" width="216" height="262"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for cpp.ast.VariableDeclaration:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classcpp_1_1ast_1_1VariableDeclaration__coll__graph.svg" width="216" height="262"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:adc19909b6a3b2c2978b02044634fc13f"><td class="memItemLeft" align="right" valign="top"><a id="adc19909b6a3b2c2978b02044634fc13f"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>__init__</b> (self, start, end, name, var_type, initial_value, namespace)</td></tr>
<tr class="separator:adc19909b6a3b2c2978b02044634fc13f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa1cae7cf191e6d561d861cd053a0bf4"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp_1_1ast_1_1VariableDeclaration.html#aaa1cae7cf191e6d561d861cd053a0bf4">Requires</a> (self, node)</td></tr>
<tr class="separator:aaa1cae7cf191e6d561d861cd053a0bf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a047aa4afddf7b7823a4095cea9477a21"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp_1_1ast_1_1VariableDeclaration.html#a047aa4afddf7b7823a4095cea9477a21">ToString</a> (self)</td></tr>
<tr class="separator:a047aa4afddf7b7823a4095cea9477a21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f5c15731d1bdd8fe14c2a575e2f4fe6"><td class="memItemLeft" align="right" valign="top"><a id="a9f5c15731d1bdd8fe14c2a575e2f4fe6"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>__str__</b> (self)</td></tr>
<tr class="separator:a9f5c15731d1bdd8fe14c2a575e2f4fe6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classcpp_1_1ast_1_1__GenericDeclaration"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classcpp_1_1ast_1_1__GenericDeclaration')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classcpp_1_1ast_1_1__GenericDeclaration.html">cpp.ast._GenericDeclaration</a></td></tr>
<tr class="memitem:afde72751e20708a7802eb7707d23bc3c inherit pub_methods_classcpp_1_1ast_1_1__GenericDeclaration"><td class="memItemLeft" align="right" valign="top"><a id="afde72751e20708a7802eb7707d23bc3c"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>__init__</b> (self, start, end, name, namespace)</td></tr>
<tr class="separator:afde72751e20708a7802eb7707d23bc3c inherit pub_methods_classcpp_1_1ast_1_1__GenericDeclaration"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1437d31271ea8cda62da22e2ce427a85 inherit pub_methods_classcpp_1_1ast_1_1__GenericDeclaration"><td class="memItemLeft" align="right" valign="top"><a id="a1437d31271ea8cda62da22e2ce427a85"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>FullName</b> (self)</td></tr>
<tr class="separator:a1437d31271ea8cda62da22e2ce427a85 inherit pub_methods_classcpp_1_1ast_1_1__GenericDeclaration"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classcpp_1_1ast_1_1Node"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classcpp_1_1ast_1_1Node')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classcpp_1_1ast_1_1Node.html">cpp.ast.Node</a></td></tr>
<tr class="memitem:a2cbd6969346645259afc3be51faae904 inherit pub_methods_classcpp_1_1ast_1_1Node"><td class="memItemLeft" align="right" valign="top"><a id="a2cbd6969346645259afc3be51faae904"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>__init__</b> (self, start, end)</td></tr>
<tr class="separator:a2cbd6969346645259afc3be51faae904 inherit pub_methods_classcpp_1_1ast_1_1Node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3eca703a79fb65bc25dfbcb7547c79e inherit pub_methods_classcpp_1_1ast_1_1Node"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp_1_1ast_1_1Node.html#ab3eca703a79fb65bc25dfbcb7547c79e">IsDeclaration</a> (self)</td></tr>
<tr class="separator:ab3eca703a79fb65bc25dfbcb7547c79e inherit pub_methods_classcpp_1_1ast_1_1Node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a684ee9a357168e7e07a24fc6812f66e6 inherit pub_methods_classcpp_1_1ast_1_1Node"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp_1_1ast_1_1Node.html#a684ee9a357168e7e07a24fc6812f66e6">IsDefinition</a> (self)</td></tr>
<tr class="separator:a684ee9a357168e7e07a24fc6812f66e6 inherit pub_methods_classcpp_1_1ast_1_1Node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a313273874ccf578485006d4000128234 inherit pub_methods_classcpp_1_1ast_1_1Node"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp_1_1ast_1_1Node.html#a313273874ccf578485006d4000128234">IsExportable</a> (self)</td></tr>
<tr class="separator:a313273874ccf578485006d4000128234 inherit pub_methods_classcpp_1_1ast_1_1Node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5dfeabcbcd7c1f5feb8522edffb8b4a inherit pub_methods_classcpp_1_1ast_1_1Node"><td class="memItemLeft" align="right" valign="top"><a id="ab5dfeabcbcd7c1f5feb8522edffb8b4a"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>XXX__str__</b> (self)</td></tr>
<tr class="separator:ab5dfeabcbcd7c1f5feb8522edffb8b4a inherit pub_methods_classcpp_1_1ast_1_1Node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab89915656a60c7b7c752e5baa607c532 inherit pub_methods_classcpp_1_1ast_1_1Node"><td class="memItemLeft" align="right" valign="top"><a id="ab89915656a60c7b7c752e5baa607c532"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>__repr__</b> (self)</td></tr>
<tr class="separator:ab89915656a60c7b7c752e5baa607c532 inherit pub_methods_classcpp_1_1ast_1_1Node"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a8c7cc8578ea12f93c6e1c5c6ef4ddf99"><td class="memItemLeft" align="right" valign="top"><a id="a8c7cc8578ea12f93c6e1c5c6ef4ddf99"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:a8c7cc8578ea12f93c6e1c5c6ef4ddf99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c259ca42a06e264679e8ab66e7ea374"><td class="memItemLeft" align="right" valign="top"><a id="a7c259ca42a06e264679e8ab66e7ea374"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>initial_value</b></td></tr>
<tr class="separator:a7c259ca42a06e264679e8ab66e7ea374"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_classcpp_1_1ast_1_1__GenericDeclaration"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classcpp_1_1ast_1_1__GenericDeclaration')"><img src="closed.png" alt="-"/>&#160;Data Fields inherited from <a class="el" href="classcpp_1_1ast_1_1__GenericDeclaration.html">cpp.ast._GenericDeclaration</a></td></tr>
<tr class="memitem:af774f4729dfd78d0538a6782fe8514c1 inherit pub_attribs_classcpp_1_1ast_1_1__GenericDeclaration"><td class="memItemLeft" align="right" valign="top"><a id="af774f4729dfd78d0538a6782fe8514c1"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>name</b></td></tr>
<tr class="separator:af774f4729dfd78d0538a6782fe8514c1 inherit pub_attribs_classcpp_1_1ast_1_1__GenericDeclaration"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8aee3f11b37449d54b42a78e0a689f46 inherit pub_attribs_classcpp_1_1ast_1_1__GenericDeclaration"><td class="memItemLeft" align="right" valign="top"><a id="a8aee3f11b37449d54b42a78e0a689f46"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>namespace</b></td></tr>
<tr class="separator:a8aee3f11b37449d54b42a78e0a689f46 inherit pub_attribs_classcpp_1_1ast_1_1__GenericDeclaration"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_classcpp_1_1ast_1_1Node"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classcpp_1_1ast_1_1Node')"><img src="closed.png" alt="-"/>&#160;Data Fields inherited from <a class="el" href="classcpp_1_1ast_1_1Node.html">cpp.ast.Node</a></td></tr>
<tr class="memitem:a7b2aa97e6a049bb1a93aea48c48f1f44 inherit pub_attribs_classcpp_1_1ast_1_1Node"><td class="memItemLeft" align="right" valign="top"><a id="a7b2aa97e6a049bb1a93aea48c48f1f44"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>start</b></td></tr>
<tr class="separator:a7b2aa97e6a049bb1a93aea48c48f1f44 inherit pub_attribs_classcpp_1_1ast_1_1Node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c5e5246ccf619df28eca02e29d69647 inherit pub_attribs_classcpp_1_1ast_1_1Node"><td class="memItemLeft" align="right" valign="top"><a id="a3c5e5246ccf619df28eca02e29d69647"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>end</b></td></tr>
<tr class="separator:a3c5e5246ccf619df28eca02e29d69647 inherit pub_attribs_classcpp_1_1ast_1_1Node"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aaa1cae7cf191e6d561d861cd053a0bf4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa1cae7cf191e6d561d861cd053a0bf4">&#9670;&nbsp;</a></span>Requires()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def cpp.ast.VariableDeclaration.Requires </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>node</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Does this AST node require the definition of the node passed in?</pre> 
<p>Reimplemented from <a class="el" href="classcpp_1_1ast_1_1Node.html#a31ae211f954a8c578ef16226df5ac8c8">cpp.ast.Node</a>.</p>

</div>
</div>
<a id="a047aa4afddf7b7823a4095cea9477a21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a047aa4afddf7b7823a4095cea9477a21">&#9670;&nbsp;</a></span>ToString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def cpp.ast.VariableDeclaration.ToString </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Return a string that tries to reconstitute the variable decl.</pre> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>ast.py</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>cpp</b></li><li class="navelem"><b>ast</b></li><li class="navelem"><a class="el" href="classcpp_1_1ast_1_1VariableDeclaration.html">VariableDeclaration</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
